using System.Collections.Generic;
using Siger.Middlelayer.Repository.Data.Tpm;
using Siger.Middlelayer.TpmRepository.Entities;

namespace Siger.Middlelayer.TpmRepository.Repositories.Interface
{
    public interface IPlanReportRepository : ITpmRepositoryBase<siger_project_plan_report>
    {
        IEnumerable<SetLevel> GetSetLevelInfoList(int mode, int projectId);

        int SetMessageRepeatTime(string time);

        IEnumerable<int> ListLevelUser(int projectId, int level, int mode);
    }
}
